const user = require('../../../utils/cache.js');
import base from '../../../utils/base'
// import storeGoods from '../../api/storeGoods'
import storeGoods from '../../../api/storeGoods'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        currentData:0,
        // numberOrimage:'5',
        mobile:'',
        isLogin:false,
        page:1,
        pageSize:20,
        // 可使用
        efficientList:[{}],
        // 已使用
        usedList:[],
        // 已失效
        invalidList:[],
        checked:''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
    
      
      
    },


    getCouponListBystoreAndTableId(){
      storeGoods.orderCouponForSelect({
        storeId: user.getStoreId(),
        mobile: user.getMobile(),
        // tableId: user.getTableId()
    }).then(res => {
        if (res.code == 200) {
          res.data.forEach((item, i) => {
            item.beginTime = item.beginTime.substring(0, 10)
            item.endTime = item.endTime.substring(0, 10)})

            this.setData({
              efficientList:res.data
            })
        }
    }).catch(_ => {
        // // this.setData({
        // //     isShowPannel: true
        // // })

        // this.tapSex()
        console.log(_)
    })

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    handleBack() {
      let routeLen = getCurrentPages().length;
      if (routeLen == 1) {
          wx.reLaunch({
            url: '/pages/index/index',
          })
          return
      }
      wx.navigateBack({
          delta: -1
      })
  },
    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getCouponListBystoreAndTableId();

    },


    getPhone() {
      console.log("进入onshow")
      let _self = this;
      let mobile =  user.getMobile();
      _self.setData({
        isLogin:mobile==null?false:true,
        mobile:mobile
      })  
    
    },
    //选择卡券跳转确认订单页面
    confirmAndGotoOrder(e){
      let coupon = JSON.stringify(e.currentTarget.dataset.coupon)
      wx.redirectTo({
        url: '../submitOrder/submitOrder?coupon='+coupon,
      }) 


    },

    uncheckedconfirmAndGotoOrder(){
      wx.redirectTo({
        url: "../submitOrder/submitOrder"
      }) 

    },
    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
     //获取当前滑块的index
  bindchange:function(e){
    const that  = this;
    that.setData({
      currentData: e.detail.current
    })
  },
  //点击切换，滑块index赋值
  checkCurrent:function(e){
    const that = this;
 
    if (that.data.currentData === e.target.dataset.current){
        return false;
    }else{
 
      that.setData({
        currentData: e.target.dataset.current
      })
    }
  },
  //条款详细信息
  goToTerms(e){
    wx.navigateTo({
      url:'/pages/discountCenterDetail/discountCenterDetail',
    })
  }
})